import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:vcs_general_plugin/vcs_general_plugin.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _platformVersion = 'Unknown';

  @override
  void initState() {
    super.initState();
    initPlatformState();
  }

  // Platform messages are asynchronous, so we initialize in an async method.
  Future<void> initPlatformState() async {
    String platformVersion;
    // Platform messages may fail, so we use a try/catch PlatformException.
    // We also handle the message potentially returning null.
    try {
      platformVersion =
          await VcsGeneralPlugin.platformVersion ?? 'Unknown platform version';
      print(platformVersion);
      platformVersion =
          await VcsGeneralPlugin().getUniqueNumber();
      print(platformVersion);
      platformVersion = await VcsGeneralPlugin().checkInternet();
      print(platformVersion);
      platformVersion =
          await VcsGeneralPlugin().encodeData("details", "key", "iv");
      print(platformVersion);
      platformVersion =
          await VcsGeneralPlugin().decodeData("details", "key", "iv");
      print(platformVersion);
      platformVersion =
          await VcsGeneralPlugin().reEncryption("details", "kedsfgdfy", "idsfgdfgv");
      print(platformVersion);
      platformVersion =
          await VcsGeneralPlugin().reDescription("details", "kedsfgdfgy", "isdfgdfv");
      print(platformVersion);
    } on PlatformException {
      platformVersion = 'Failed to get platform version.';
    }

    // If the widget was removed from the tree while the asynchronous platform
    // message was in flight, we want to discard the reply rather than calling
    // setState to update our non-existent appearance.
    if (!mounted) return;

    setState(() {
      _platformVersion = platformVersion;
    });
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: Text('Running on: $_platformVersion\n'),
        ),
      ),
    );
  }
}
