import 'dart:async';

import 'package:flutter/services.dart';

class VcsGeneralPlugin {
  static const MethodChannel _methodChannel =
      MethodChannel('vcs_general_plugin');

  static Future<String?> get platformVersion async {
    final String? version =
        await _methodChannel.invokeMethod('getPlatformVersion');
    return version;
  }

  /*static Future<String?> get getUniqueNumber async {
    final String version = await _methodChannel.invokeMethod('getUniqueNumber');

    return version;
  }

  static Future<String?> get checkInternet async {
    final String version = await _methodChannel.invokeMethod('checkInternet');

    return version;
  }*/

  Future<String> getUniqueNumber() async {
    final String version = await _methodChannel.invokeMethod('getUniqueNumber');

    return version;
  }

  Future<String> checkInternet() async {
    final String version = await _methodChannel.invokeMethod('checkInternet');

    return version;
  }

  Future<String> encodeData(String details, String key, String iv) async {
    final String version = await _methodChannel
        .invokeMethod('encodeData', {'details': details, 'key': key, 'iv': iv});

    return version;
  }

  Future<String> decodeData(String details, String key, String iv) async {
    final String version = await _methodChannel
        .invokeMethod('decodeData', {'details': details, 'key': key, 'iv': iv});

    return version;
  }

  Future<String> reEncryption(String details, String key, String iv) async {
    final String version = await _methodChannel.invokeMethod(
        'RE_Encryption', {'details': details, 'key': key, 'iv': iv});

    return version;
  }

  Future<String> reDescription(String details, String key, String iv) async {
    final String version = await _methodChannel.invokeMethod(
        'RE_Description', {'details': details, 'key': key, 'iv': iv});

    return version;
  }
}
